Apple Mac OS X AppKit Bootstrap Namespace Local Privilege Escalation Vulnerability

Apple Mac OS X is prone to a local privilege-escalation vulnerability that occurs in AppKit.

Successfully exploiting this issue will allow attackers to execute arbitrary code with the privileges of the affected application.

NOTE: This vulnerability was previously covered in BID 28304 (Apple Mac OS X 2008-002 Multiple Security Vulnerabilities), but has been given its own record to better document the issue.


 

Privacy Statement
Copyright 2010, SecurityFocus